## DnfRepoLoader

DnfRepoLoader

## Functions

DnfRepoLoader * | dnf_repo_loader_new ()
gboolean | dnf_repo_loader_has_removable_repos ()
GPtrArray * | dnf_repo_loader_get_repos ()
DnfRepo * | dnf_repo_loader_get_repo_by_id ()

## Types and Values

#define | DNF_TYPE_REPO_LOADER
struct | DnfRepoLoaderClass
| DnfRepoLoader

## Description

## Functions

### dnf_repo_loader_new ()

    DnfRepoLoader *
    dnf_repo_loader_new (DnfContext *context);

### dnf_repo_loader_has_removable_repos ()

    gboolean
    dnf_repo_loader_has_removable_repos (DnfRepoLoader *self);

### dnf_repo_loader_get_repos ()

    GPtrArray *
    dnf_repo_loader_get_repos (DnfRepoLoader *self,
                               GError **error);

### dnf_repo_loader_get_repo_by_id ()

    DnfRepo *
    dnf_repo_loader_get_repo_by_id (DnfRepoLoader *self,
                                    const gchar *id,
                                    GError **error);

## Types and Values

### DNF_TYPE_REPO_LOADER

    #define DNF_TYPE_REPO_LOADER (dnf_repo_loader_get_type ())

### struct DnfRepoLoaderClass

    struct DnfRepoLoaderClass {
            GObjectClass            parent_class;
            void                    (* changed)     (DnfRepoLoader   *self);
    };

### DnfRepoLoader

    typedef struct _DnfRepoLoader DnfRepoLoader;